# WonderSwan instrument editor

the WonderSwan instrument editor contains three tabs: Sample, Wavetable and Macros.

## Sample

for sample settings, see [the Sample instrument editor](sample.md).

the only differences are the lack of an "Use wavetable" option, and the presence of a "Use sample" one.

only on channel 2!

## Wavetable

this allows you to enable and configure the Furnace wavetable synthesizer. see [this page](wavesynth.md) for more information.

## Macros

these are similar to PC Engine, with some differences.

- **Volume**: volume sequence.
- **Arpeggio**: pitch sequence.
- **Noise**: set noise size.
  - only on channel 4.
- **Waveform**: wave sequence.
- **Pitch**: fine pitch.
- **Phase Reset**: trigger restart of waveform.
